#!/bin/sh
# Parameters: executable_path redir_in $(input) redir_out $(output) args

# This file is part of Ellie Computing Merge
# Copyright 2005-2007 Ellie Computing. All rights reserved.

# executable_path: path of the executable to execute
# redir_in/redit_out: yes or no, tells to redirect that stream
# args: remaining arguments

# version 1.1 : removed acute accents to prevent truncation of the file as well as copyright char
#		removed usage of intermediate value for arguments (which would remove the "")

STDIOCONV_EXE=$1
STDIOCONV_REDIRIN=$2
STDIOCONV_IN=$3
STDIOCONV_REDIROUT=$4
STDIOCONV_OUT=$5
shift
shift
shift
shift
shift

#echo $STDIOCONV_EXE $STDIOCONV_REDIRIN $STDIOCONV_IN $STDIOCONV_REDIROUT $STDIOCONV_OUT "$@"

# Please see www.elliecomputing.com for further information.
# Email comments and suggestions to info@elliecomputing.com.

if test "$STDIOCONV_REDIRIN" = "yes" -a "$STDIOCONV_REDIROUT" = "yes"; then $STDIOCONV_EXE "$@" < $STDIOCONV_IN > $STDIOCONV_OUT ; fi
if test "$STDIOCONV_REDIRIN" = "no" -a "$STDIOCONV_REDIROUT" = "yes"; then $STDIOCONV_EXE "$@" > $STDIOCONV_OUT ; fi
if test "$STDIOCONV_REDIRIN" = "yes" -a "$STDIOCONV_REDIROUT" = "no"; then $STDIOCONV_EXE "$@" < $STDIOCONV_IN ; fi
if test "$STDIOCONV_REDIRIN" = "no" -a "$STDIOCONV_REDIROUT" = "no"; then $STDIOCONV_EXE "$@" ; fi
