<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
xmlns:xlink="http://www.w3.org/1999/xlink">

<xsl:template match="statistics" mode="eqtest-files">

  <br />
  <br />
  <xsl:call-template name="display_heading">
    <xsl:with-param name="text">
      <xsl:value-of select="$kg_statistics_title" />
    </xsl:with-param>
  </xsl:call-template>
  <xsl:choose>
    <xsl:when test="pair/granularity/@changed = 0">
      <xsl:value-of select="$kg_binary_files_identical" />
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="$kg_binary_files_different" />
    </xsl:otherwise>
  </xsl:choose>

</xsl:template>


</xsl:stylesheet>
