// (c) Elli Computing
// Name: folder-go-up.js
// Version: 1.1
// Purpose: replaces any filled source with its parent directory

macros["folder_go_up"] = function() {

	var currentdoc = current_frame.coordinator.document;

	var sides = ['left', 'right', 'ancestor', 'result' ];
	var params = currentdoc.parameters.clone ();
	
	var changes_doc_type = params.document_type != "folders";
	
	params.document_type = "folders";
	
	for (var i in sides)
	{
		var source = params[sides[i]];
		if (source.url)
			source.url = source.url.compose('..');
	}
	
	if (changes_doc_type)
		Application.add_frame (new Document (params));
	else
		currentdoc.parameters = params;
}
macros["folder_go_up"].label = _("Go up in hierarchy");
macros["folder_go_up"].toolbar_name = "All"; 
macros["folder_go_up"].icon_url = script_url.compose("../folder-go-up.png");
